"use strict";
"use client";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Popup = void 0;
const react_1 = __importDefault(require("react"));
const MouseMonitor_1 = require("./MouseMonitor");
const Popup = (props) => {
    const [mouseIn, setMouseIn] = react_1.default.useState(false);
    const { onMouseOver, popupContent, onMouseOut } = props;
    return (react_1.default.createElement("div", { className: "pop-up", onMouseOver: () => {
            setMouseIn(true);
            onMouseOver(react_1.default.createElement(MouseMonitor_1.MouseMonitor, { onMoveAway: () => {
                    if (mouseIn) {
                        return;
                    }
                    onMouseOut();
                }, children: popupContent, paddingX: 200, paddingY: 60 }));
        }, onMouseOut: () => {
            setMouseIn(false);
        } }, props.children));
};
exports.Popup = Popup;
//# sourceMappingURL=Popup.js.map